Subject: bug#27498: 25.2; Memory leak in M-x shell

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 27 Jun 2017 07:17:59 +0200

[email-masked] writes:

> This is Bug#26952, it's due to using the custom "GNU version of malloc"
> without the "relocating allocater" (there were several bugs with the
> relocating allocater in 25.1).  To fix you can configure with
> REL_ALLOC=yes (this should be okay in 25.2), or use Emacs' master branch
> where the standard system allocater can be used once again.

I have tried this and while the memory consumption still grows as the
buffer fills up (which I suppose is expected), memory is released as
soon as the buffer is killed.

Thank you for the hint!

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net